Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ShadowTextureConfig Struct Reference

Structure containing the configuration for one shadow texture. More...

`#include <OgreShadowTextureManager.h>`

List of all members.

## Public Member Functions
| ShadowTextureConfig ()
## Public Attributes
unsigned int | width
unsigned int | height
PixelFormat | format

## Detailed Description

Structure containing the configuration for one shadow texture.

Definition at line 45 of file OgreShadowTextureManager.h.

## Constructor & Destructor Documentation

Ogre::ShadowTextureConfig::ShadowTextureConfig | ( |  | ) |

| Definition at line 51 of file OgreShadowTextureManager.h. References format, height, Ogre::PF_X8R8G8B8, and width.

## Member Data Documentation

PixelFormat Ogre::ShadowTextureConfig::format

| Definition at line 49 of file OgreShadowTextureManager.h. Referenced by ShadowTextureConfig().

unsigned int Ogre::ShadowTextureConfig::height

| Definition at line 48 of file OgreShadowTextureManager.h. Referenced by ShadowTextureConfig().

unsigned int Ogre::ShadowTextureConfig::width

| Definition at line 47 of file OgreShadowTextureManager.h. Referenced by ShadowTextureConfig().

The documentation for this struct was generated from the following file:

- OgreShadowTextureManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:53:17 2007